04-22-10 02:23 PM
93 1234
tools
  1. GlitchZero's Avatar
    How would you do "pinch/zoom" if it wasn't touchscreen?
    They mean actual touchscreen like the Slider is supposed to be, as opposed to the Storm(s) which are SurePress. But they are touch as well, as Opera and other apps prove, which need no pressing to work, just focusing.
    04-20-10 02:44 PM
  2. Sparro's Avatar
    Looks like the screen size of the screenshots indicate possibly the Storm3. It has the 3G symbol running on AT&T.
    This makes sense because the general word is Verizon's exclusivity ended with the Storm2!!! Yippi!!!!
    04-20-10 02:50 PM
  3. BB_SHAWN's Avatar
    Um, say what? Are you attempting a joke here or what? And how in the heck can anyone tell anything from the screen shots about color banding (and I read nothing, unless I somehow skimmed past it, about BBM usage).
    :facepalm:
    04-20-10 02:58 PM
  4. verziehenone's Avatar
    You're SERIOUSLY asking this?

    Take a second and think..just for a second..when the Storm was released to when the Storm2 was released...It might seem familiar.

    On topic though, I can't wait to see this roll out. Despite the pessimists out there, I'm very excited for this change.
    What are you talking about?

    Storm 1 Release Date: (US) November 21, 2008, (Canada) December 11, 2008

    Storm 2 Release Date: October 28th, 2009

    That's almost a full year. So if the Storm 3 is announced at WES, i'll be glad, but we won't see it until 4th quarter, smart money says. They'd want to stagger the release between the Slider, Bold 2, Pearl and Storm 3 so there isn't a flustercuck of phones at once, and the others have had leaked photos, indicating they are closer to completion than the (not yet seen but oft rumored) Storm 3.

    Remember last year's Storm 2? Yeah, there was no official proof, beyond a few 'leaked' photos, and I mean few, and BAM it was out. Which leaves to say, if there are leaked photos of other devices,...

    Anyhow, I think it's smart and realistic to expect 6.0 and the WebKit to work with the current generation of phones. As for older, perhaps it will be like the iPhone OS 4.0 and work in a limited fashion on older phones.
    04-20-10 03:15 PM
  5. FineWolf's Avatar
    Looks like the screen size of the screenshots indicate possibly the Storm3.
    Why? 255x340 is proportional to 360x480. Seems to me they just resized the screenshots.
    04-20-10 03:27 PM
  6. Sparro's Avatar
    Why? 255x340 is proportional to 360x480. Seems to me they just resized the screenshots.
    Why would they re-size the screenshots?
    That is clearly not a screenshot of a Bold/Tour/Curve/Pearl.
    Plus BG, said its a new touchscreen device and that he couldn't comment on the device.
    I doubt its the Storm2, so it must be the rumoured Storm3...
    04-20-10 03:34 PM
  7. sbudaj's Avatar
    Will it be able to use more internal memory for downloading and running apps?

    (I would like to see apps run on the memory card, but more internal application memory would be nice too.)
    04-20-10 03:36 PM
  8. GlitchZero's Avatar
    What are you talking about?

    Storm 1 Release Date: (US) November 21, 2008, (Canada) December 11, 2008

    Storm 2 Release Date: EDIT: (US) October 28th, 2009 EDIT: (Canada) November 24, 2009

    That's almost a full year. So if the Storm 3 is announced at WES, i'll be glad, but we won't see it until 4th quarter, smart money says. They'd want to stagger the release between the Slider, Bold 2, Pearl and Storm 3 so there isn't a flustercuck of phones at once, and the others have had leaked photos, indicating they are closer to completion than the (not yet seen but oft rumored) Storm 3.

    Remember last year's Storm 2? Yeah, there was no official proof, beyond a few 'leaked' photos, and I mean few, and BAM it was out. Which leaves to say, if there are leaked photos of other devices,...

    Anyhow, I think it's smart and realistic to expect 6.0 and the WebKit to work with the current generation of phones. As for older, perhaps it will be like the iPhone OS 4.0 and work in a limited fashion on older phones.
    Just over a year in Canada for Telus. And yes, that was my point. The guy I quoted has his feathers all ruffled because the Storm 3 is rumored to be out in December, and I was telling him to remember the time of release between the Storm and the Storm2..which was a year as well. So basically telling him not to be so shocked by the EXACT same thing happening.
    Last edited by GlitchZero; 04-20-10 at 03:41 PM.
    04-20-10 03:37 PM
  9. MrWireless31's Avatar
    if this is only for NEW devices, there's no question that the next device I will be buying is an Android. and I will be buying it soon, as in April 29th. if RIM is forcing their current, loyal customers to make another purchased/upgrade, then why would I waste my time and money on another RIM failure? If I am forced to upgrade, it isn't good for RIM. And you can bet that this sentiment will only further decrease their loyalty.

    I have a Storm 9530, a Tour 9630 and a Storm 9550 for sale - anyone interested?
    04-20-10 03:43 PM
  10. EnergyPlus's Avatar
    It simply makes me laugh when I read all the outrage statements against RIM. Personally, I shrug and say "hey, have at it, may the force be with you."

    If Company A comes out with some overhaul of their operating system that makes such significant changes that it also requires improved hardware, how can you POSSIBLY resent them for that? I suppose you might be one who also complains/screams the loudest if they DON'T make drastic improvements.

    I have little doubt that if 6.0 is focused on "new devices" (and there's no proof yet that it will), they will continue to support 5.0 builds for a period of time and let attrition bring it to a peaceful and timely end.

    if this is only for NEW devices, there's no question that the next device I will be buying is an Android. and I will be buying it soon, as in April 29th. if RIM is forcing their current, loyal customers to make another purchased/upgrade, then why would I waste my time and money on another RIM failure? If I am forced to upgrade, it isn't good for RIM. And you can bet that this sentiment will only further decrease their loyalty.

    I have a Storm 9530, a Tour 9630 and a Storm 9550 for sale - anyone interested?
    04-20-10 03:58 PM
  11. grahamf's Avatar
    I just know that the little part of me that hopes will die when this isn't released (with most features) for te Storm1. I still have 2.5 years left on my contract and I don't think that I will upgrade until my contract is finished.

    Posted from my CrackBerry at wapforums.crackberry.com
    Last edited by grahamf; 04-20-10 at 04:15 PM.
    04-20-10 04:12 PM
  12. leglace's Avatar
    It simply makes me laugh when I read all the outrage statements against RIM. Personally, I shrug and say "hey, have at it, may the force be with you."

    If Company A comes out with some overhaul of their operating system that makes such significant changes that it also requires improved hardware, how can you POSSIBLY resent them for that? I suppose you might be one who also complains/screams the loudest if they DON'T make drastic improvements.

    I have little doubt that if 6.0 is focused on "new devices" (and there's no proof yet that it will), they will continue to support 5.0 builds for a period of time and let attrition bring it to a peaceful and timely end.
    I believe the point some are making is that they resent having to upgrade to a new device in order to enjoy the new OS. That is if they already do own the latest and greatest RIM device.

    Posted from my CrackBerry at wapforums.crackberry.com
    04-20-10 04:45 PM
  13. 07outback's Avatar
    I believe the point some are making is that they resent having to upgrade to a new device in order to enjoy the new OS. That is if they already do own the latest and greatest RIM device.

    Posted from my CrackBerry at wapforums.crackberry.com
    I just bought a 2010 Vette a couple of months back and GM just announced new features for the 2011. It is so very unfair to us 2010 owners that I am not buying another GM.

    That is how you folks sound. Every day technology advances in everything in the world. If you cannot live with that fact then you should never purchase anything and just wait on the sidelines. But if you make the purchase then enjoy what you bought and stop complaining about what it is that you want!

    Posted from my CrackBerry at wapforums.crackberry.com
    04-20-10 05:08 PM
  14. GlitchZero's Avatar
    I just bought a 2010 Vette a couple of months back and GM just announced new features for the 2011. It is so very unfair to us 2010 owners that I am not buying another GM.

    That is how you folks sound. Every day technology advances in everything in the world. If you cannot live with that fact then you should never purchase anything and just wait on the sidelines. But if you make the purchase then enjoy what you bought and stop complaining about what it is that you want!

    Posted from my CrackBerry at wapforums.crackberry.com
    Truth. 10char
    04-20-10 06:39 PM
  15. itsdollar's Avatar
    I just know that the little part of me that hopes will die when this isn't released (with most features) for te Storm1. I still have 2.5 years left on my contract and I don't think that I will upgrade until my contract is finished.

    Posted from my CrackBerry at wapforums.crackberry.com
    It most likely isn't. The original Storm is considered old now. Technology moves fast.
    04-20-10 06:54 PM
  16. itsdollar's Avatar
    I just bought a 2010 Vette a couple of months back and GM just announced new features for the 2011. It is so very unfair to us 2010 owners that I am not buying another GM.

    That is how you folks sound. Every day technology advances in everything in the world. If you cannot live with that fact then you should never purchase anything and just wait on the sidelines. But if you make the purchase then enjoy what you bought and stop complaining about what it is that you want!

    Posted from my CrackBerry at wapforums.crackberry.com
    1200 people like this (insert thumbs up sign here)
    04-20-10 06:55 PM
  17. travelingfool's Avatar
    If a Storm 3 and/or a portrait slider is released this year with OS 6, I will have one of them, that's for sure.

    Man, if both are released by year's end, and both are available on VZW, that's going to be a tough choice!

    Anybody want a 9630, lol?

    Posted from my CrackBerry at wapforums.crackberry.com
    04-20-10 07:12 PM
  18. EnergyPlus's Avatar
    I fully understand that, but I really don't see how one can be "outraged" over the fact that they're using OLD technology (in cell phone years). The Storm 2 just received an OS upgrade (albeit a fairly poor one). They have not EOL'd the phone but time marches on and an older device may not support new software. Personally, I somewhat suspect the S2 will take OS 6, but that's just a guess. If not, I'll either stick with it for another year or so or, upgrade to a phone that supports it. To me, it's like being ticked off my 6 year old computer won't accept Windows 7. I'm not outraged at Dell over this, it's technology, things march to an entirely different drummer. If one likes the Storm 1 well enough to hold on to it, then enjoy it with the software it has. If not, move up. Period. End of Story.

    It's increasingly apparent that people would rather diss RIM for whatever they do. You can't win for losing the way they act.

    I believe the point some are making is that they resent having to upgrade to a new device in order to enjoy the new OS. That is if they already do own the latest and greatest RIM device.

    Posted from my CrackBerry at wapforums.crackberry.com
    Last edited by EnergyPlus; 04-20-10 at 07:46 PM.
    04-20-10 07:41 PM
  19. mxrider657's Avatar
    :facepalm:
    dont worry i got the joke and cracked a nice big smile lol
    04-20-10 07:58 PM
  20. EnergyPlus's Avatar
    :: sigh :: I kinda got it too, but there was just this wee little part of me that was thinking "is he being serious with this claim?" Not that ANYONE would BS around here

    dont worry i got the joke and cracked a nice big smile lol
    04-20-10 08:00 PM
  21. Cbarnes2479's Avatar
    Can't wait....... Hope it comes to the storm 2
    04-20-10 08:24 PM
  22. SaMaster14's Avatar
    Can't wait for this! Looks absolutely amazing, compared to what we have now (even themes).

    I could run that OS without themes for a while(at least until Plazmic 6.0 comes out )

    And honestly, I may be willing to jump to an S3... just for this.

    (The BGR report said something about a secret touch screen device... so that sounds promising!!)
    04-20-10 10:15 PM
  23. BB_SHAWN's Avatar
    I fully understand that, but I really don't see how one can be "outraged" over the fact that they're using OLD technology (in cell phone years). The Storm 2 just received an OS upgrade (albeit a fairly poor one). They have not EOL'd the phone but time marches on and an older device may not support new software. Personally, I somewhat suspect the S2 will take OS 6, but that's just a guess. If not, I'll either stick with it for another year or so or, upgrade to a phone that supports it. To me, it's like being ticked off my 6 year old computer won't accept Windows 7. I'm not outraged at Dell over this, it's technology, things march to an entirely different drummer. If one likes the Storm 1 well enough to hold on to it, then enjoy it with the software it has. If not, move up. Period. End of Story.

    It's increasingly apparent that people would rather diss RIM for whatever they do. You can't win for losing the way they act.
    I agree 100%

    Posted from my CrackBerry at wapforums.crackberry.com
    04-20-10 10:27 PM
  24. DMR6186's Avatar
    If the Storm1 was released with OS 4.0 and was able to upgrade to 5.0 a year later, I would assume then that the Storm2, which was released with 5.0, would be able to upgrade to 6.0 no problem. It wouldn't even be a year yet since the phone's release.

    Posted from my CrackBerry at wapforums.crackberry.com
    04-20-10 10:35 PM
  25. EnergyPlus's Avatar
    Perhaps, but it may be more wishful thinking than reality. Full version upgrades often require more sophisticated hardware and, depending on those needs, dicate what will-and will not-work. Personally, I hope you're right!

    If the Storm1 was released with OS 4.0 and was able to upgrade to 5.0 a year later, I would assume then that the Storm2, which was released with 5.0, would be able to upgrade to 6.0 no problem. It wouldn't even be a year yet since the phone's release.

    Posted from my CrackBerry at wapforums.crackberry.com
    04-20-10 10:38 PM
93 1234
LINK TO POST COPIED TO CLIPBOARD